<?php
function tara_form_system_theme_settings_alter(&$form, \Drupal\Core\Form\FormStateInterface &$form_state, $form_id = NULL) {
$form['tara'] = array(
  '#type'       => 'vertical_tabs',
  '#title'      => '<h3>' . t('Tara Theme Settings') . '</h3>',
  '#description' => t(''),
  '#default_tab' => 'general',
);

// General settings tab
$form['general'] = array(
  '#type'  => 'details',
  '#title' => t('General'),
  '#description' => t('<h3>Thanks for using Tara Theme</h3>Tara is a free Drupal 8 theme designed and developed by <a href="https://drupar.com" target="_blank">Drupar.com</a>'),
  '#group' => 'tara',
);
// Theme Color tab
$form['color'] = array(
  '#type'  => 'details',
  '#title' => t('Theme Color'),
  '#group' => 'tara',
);
// Social tab
$form['social'] = array(
  '#type'  => 'details',
  '#title' => t('Social'),
  '#description' => t('Social icons settings. These icons appear in header and footer region.'),
  '#group' => 'tara',
);
// Slider tab
$form['slider'] = array(
  '#type'  => 'details',
  '#title' => t('Homepage Slider'),
  '#description' => t('Manage homepage slider.'),
  '#group' => 'tara',
);
// Header tab
$form['header'] = array(
  '#type'  => 'details',
  '#title' => t('Header'),
  '#group' => 'tara',
);
// Sidebar tab
$form['sidebar'] = array(
  '#type'  => 'details',
  '#title' => t('Sidebar'),
  '#group' => 'tara',
);
// Content tab
$form['content'] = array(
  '#type'  => 'details',
  '#title' => t('Content'),
  '#group' => 'tara',
);
// Footer tab
$form['footer'] = array(
  '#type'  => 'details',
  '#title' => t('Footer'),
  '#group' => 'tara',
);
// Support tab
$form['support'] = array(
  '#type'  => 'details',
  '#title' => t('Support'),
  '#description' => t('For any support related to Tara theme, please post on our <a href="https://www.drupar.com/forum" target="_blank">support forum</a>.'),
  '#group' => 'tara',
);

// Upgrade to tarapro tab
$form['upgrade'] = array(
  '#type'  => 'details',
  '#title' => t('Upgrade to TaraPro'),
  '#description'  => t('<h3>Upgrade To TaraPro For $19 only.</h3>'),
  '#group' => 'tara',
);
//content under general tab
$form['general']['general_info'] = array(
  '#type'        => 'fieldset',
  '#title'       => t('Theme Info'),
  '#description' => t('<a href="//drupar.com/theme/tara" target="_blank">Theme Homepage</a> || <a href="//demo2.drupar.com/tara/" target="_blank">Theme Demo</a> || <a href="//www.drupar.com/tara-theme-documentation" target="_blank">Theme Documentation</a> || <a href="//www.drupar.com/support" target="_blank">Theme Support</a>'),
);
$form['general']['general_info_upgrade'] = array(
  '#type'        => 'fieldset',
  '#title'       => t('Upgrade To TaraPro for $19 only'),
  '#description' => t('<a href="//drupar.com/theme/tarapro" target="_blank">Purchase TaraPro</a> || <a href="//demo2.drupar.com/tarapro/" target="_blank">TaraPro Demo</a>'),
);
// settings color tab
$form['color']['theme_color'] = array(
  '#type'        => 'fieldset',
  '#title'       => t('Theme Color'),
  '#description'   => t('This feature is available in the premium version of this theme. <a href="https://www.drupar.com/theme/tarapro" target="_blank">Buy TaraPro for $19 only.</a>'),
  '#collapsible' => true,
  '#collapsed'   => false,
);
// Settings under social tab
// show or hide all icons
$form['social']['all_icons'] = array(
  '#type'        => 'fieldset',
  '#title'       => t('Show Social Icons'),
  '#collapsible' => true,
  '#collapsed'   => false,
);
$form['social']['all_icons']['all_icons_show'] = array(
  '#type'          => 'checkbox',
  '#title'         => t('Show social icons in header and footer'),
  '#default_value' => theme_get_setting('all_icons_show', 'tara'),
  '#description'   => t("Check this option to show social icons in header and footer. Uncheck to hide."),
);
$form['social']['only_header_icons'] = array(
  '#type'        => 'fieldset',
  '#title'       => t('Show Social Icons only in header'),
  '#description'   => t('This feature is available in the premium version of this theme. <a href="https://www.drupar.com/theme/tarapro" target="_blank">Buy TaraPro for $19 only.</a>'),
  '#collapsible' => true,
  '#collapsed'   => false,
);
$form['social']['only_footer_icons'] = array(
  '#type'        => 'fieldset',
  '#title'       => t('Show Social Icons only in footer'),
  '#description'   => t('This feature is available in the premium version of this theme. <a href="https://www.drupar.com/theme/tarapro" target="_blank">Buy TaraPro for $19 only.</a>'),
  '#collapsible' => true,
  '#collapsed'   => false,
);
// Facebook
$form['social']['facebook'] = array(
  '#type'        => 'details',
  '#title'       => t("Facebook"),
  '#collapsible' => true,
  '#collapsed'   => false,
);
$form['social']['facebook']['facebook_url'] = array(
    '#type'          => 'textfield',
    '#title'         => t('Facebook Url'),
    '#description'   => t("Enter yours facebook profile or page url. Leave the url field blank to hide this icon."),
    '#default_value' => theme_get_setting('facebook_url', 'tara'),
);
// Twitter
$form['social']['twitter'] = array(
  '#type'        => 'details',
  '#title'       => t("Twitter"),
  '#collapsible' => true,
  '#collapsed'   => false,
);
$form['social']['twitter']['twitter_url'] = array(
    '#type'          => 'textfield',
    '#title'         => t('Twitter Url'),
    '#description'   => t("Enter yours twitter page url. Leave the url field blank to hide this icon."),
    '#default_value' => theme_get_setting('twitter_url', 'tara'),
);
// Instagram
$form['social']['instagram'] = array(
  '#type'        => 'details',
  '#title'       => t("Instagram"),
  '#collapsible' => true,
  '#collapsed'   => false,
);
$form['social']['instagram']['instagram_url'] = array(
    '#type'          => 'textfield',
    '#title'         => t('Instagram Url'),
    '#description'   => t("Enter yours instagram page url. Leave the url field blank to hide this icon."),
    '#default_value' => theme_get_setting('instagram_url', 'tara'),
);
// Linkedin
$form['social']['linkedin'] = array(
  '#type'        => 'details',
  '#title'       => t("Linkedin"),
  '#collapsible' => true,
  '#collapsed'   => false,
);
$form['social']['linkedin']['linkedin_url'] = array(
    '#type'          => 'textfield',
    '#title'         => t('Linkedin Url'),
    '#description'   => t("Enter yours linkedin page url. Leave the url field blank to hide this icon."),
    '#default_value' => theme_get_setting('linkedin_url', 'tara'),
);
// YouTube
$form['social']['youtube'] = array(
  '#type'        => 'details',
  '#title'       => t("YouTube"),
  '#collapsible' => true,
  '#collapsed'   => false,
);
$form['social']['youtube']['youtube_url'] = array(
    '#type'          => 'textfield',
    '#title'         => t('YouTube Url'),
    '#description'   => t("Enter yours youtube.com page url. Leave the url field blank to hide this icon."),
    '#default_value' => theme_get_setting('youtube_url', 'tara'),
);
// Google Plus
$form['social']['gplus'] = array(
  '#type'        => 'details',
  '#title'       => t("Google Plus"),
  '#collapsible' => true,
  '#collapsed'   => false,
);
$form['social']['gplus']['gplus_url'] = array(
    '#type'          => 'textfield',
    '#title'         => t('Google Plus'),
    '#description'   => t("Enter yours youtube.com page url. Leave the url field blank to hide this icon."),
    '#default_value' => theme_get_setting('gplus_url', 'tara'),
);
// Settings under slider tab
// show or hide all icons
$form['slider']['slider_enable_option'] = array(
  '#type'        => 'fieldset',
  '#title'       => t('Enable Slider'),
  '#collapsible' => true,
  '#collapsed'   => false,
);
$form['slider']['slider_enable_option']['slider_show'] = array(
  '#type'          => 'checkbox',
  '#title'         => t('Show Slider on Homepage'),
  '#default_value' => theme_get_setting('slider_show', 'tara'),
  '#description'   => t("Check this option to show slider on homepage. Uncheck to hide."),
);
$form['slider']['slider_code'] = array(
  '#type'          => 'textarea',
  '#title'         => t('Slider Code'),
  '#default_value' => theme_get_setting('slider_code'),
  '#description'   => t('Please refer to this <a href="//drupar.com/tara-theme-documentation/how-manage-homepage-slider" target="_blank">documentation page</a> for slider code tutorial.'),
);
// Settings under header tab
$form['header']['sticky_header'] = array(
  '#type'        => 'fieldset',
  '#title'       => t('Sticky Header'),
  '#description'   => t('This feature is available in the premium version of this theme. <a href="https://www.drupar.com/theme/tarapro" target="_blank">Buy TaraPro for $19 only.</a>'),
  '#collapsible' => true,
  '#collapsed'   => false,
);
// settings under sidebar
$form['sidebar']['animated_sidebar'] = array(
  '#type'        => 'fieldset',
  '#title'       => t('Animated Sidebar'),
  '#description'   => t('This feature is available in the premium version of this theme. <a href="https://www.drupar.com/theme/tarapro" target="_blank">Buy TaraPro for $19 only.</a>'),
  '#collapsible' => true,
  '#collapsed'   => false,
);
// Settings under content tab
// Settings under content tab -> Page loader
$form['content']['preloader'] = array(
  '#type'        => 'fieldset',
  '#title'       => t('Pre Page Loader'),
  '#description'   => t('This feature is available in the premium version of this theme. <a href="https://www.drupar.com/theme/tarapro" target="_blank">Buy TaraPro for $19 only.</a>'),
  '#collapsible' => true,
  '#collapsed'   => false,
);
// Settings under content tab -> Animated Content
$form['content']['animated_content'] = array(
  '#type'        => 'fieldset',
  '#title'       => t('Animated Page Content'),
  '#description'   => t('This feature is available in the premium version of this theme. <a href="https://www.drupar.com/theme/tarapro" target="_blank">Buy TaraPro for $19 only.</a>'),
  '#collapsible' => true,
  '#collapsed'   => false,
);
// show user picture in comment
$form['content']['comment'] = array(
  '#type'        => 'fieldset',
  '#title'       => t('Comment'),
  '#collapsible' => true,
  '#collapsed'   => false,
);
$form['content']['comment']['comment_user_pic'] = array(
  '#type'          => 'checkbox',
  '#title'         => t('User Picture in comments'),
  '#default_value' => theme_get_setting('comment_user_pic', 'tara'),
  '#description'   => t("Check this option to show user picture in comment. Uncheck to hide."),
);
// Node author picture
$form['content']['node'] = array(
  '#type'        => 'fieldset',
  '#title'       => t('Node'),
  '#collapsible' => true,
  '#collapsed'   => false,
);
$form['content']['node']['node_author_pic'] = array(
  '#type'          => 'checkbox',
  '#title'         => t('Node Author Picture'),
  '#default_value' => theme_get_setting('node_author_pic', 'tara'),
  '#description'   => t("Check this option to show node author picture in submitted details. Uncheck to hide."),
);
$form['content']['node_share'] = array(
  '#type'        => 'fieldset',
  '#title'       => t('Share Page On Social Media'),
  '#description'   => t('This feature is available in the premium version of this theme. <a href="https://www.drupar.com/theme/tarapro" target="_blank">Buy TaraPro for $19 only.</a>'),
  '#collapsible' => true,
  '#collapsed'   => false,
);
// show tags in node submitted
$form['content']['node']['node_tags'] = array(
  '#type'          => 'checkbox',
  '#title'         => t('Node Tags'),
  '#default_value' => theme_get_setting('node_tags', 'tara'),
  '#description'   => t("Check this option to show node tags (if any) in submitted details. Uncheck to hide."),
);
// Settings under footer tab
// scroll to top
$form['footer']['scrolltotop'] = array(
  '#type'        => 'fieldset',
  '#title'       => t('Scroll To Top'),
  '#collapsible' => true,
  '#collapsed'   => false,
);
$form['footer']['scrolltotop']['scrolltotop_on'] = array(
  '#type'          => 'checkbox',
  '#title'         => t('Check this option to enable scroll to top feature.'),
  '#default_value' => theme_get_setting('scrolltotop_on', 'tara'),
  '#description'   => t("Check this option to enable scroll to top feature. Uncheck to disabke and hide scroll to top icon."),
);
// copyright text
$form['footer']['copyright'] = array(
  '#type'        => 'fieldset',
  '#title'       => t('Website Copyright Text'),
  '#collapsible' => true,
  '#collapsed'   => false,
);
$form['footer']['copyright']['copyright_text'] = array(
  '#type'          => 'checkbox',
  '#title'         => t('Show website copyright text in footer.'),
  '#default_value' => theme_get_setting('copyright_text', 'tara'),
  '#description'   => t("Check this option to show website copyright text in footer. Uncheck to hide."),
);
//settings under support tab
$form['support']['info'] = array(
  '#type'        => 'fieldset',
  '#title'       => t(''),
  '#description' => t('<h4>Documentation</h4>
  <p>We have a detailed documentation about how to use theme. Please read the <a href="https://www.drupar.com/tara-theme-documentation" target="_blank">Tara Theme Documentation</a>.</p>
  <hr />
  <h4>Ask in our forum</h4>
  <p>If you need support that is beyond our theme documentation, please ask in our support forum.<br /><a href="https://www.drupar.com/forum" target="_blank">drupar.com/forum</a></p>
  <hr />
  <h4>Contact Us</h4>
  <p>If you need some specific customization in theme, please contact us<br><a href="https://www.drupar.com/contact" target="_blank">drupar.com/contact</a></p>'),
);
//settings under upgrade tab
$form['upgrade']['info'] = array(
  '#type'        => 'fieldset',
  '#title'       => t('<a href="https://demo2.drupar.com/tarapro/" target="_blank">TaraPro Demo</a> | <a href="https://www.drupar.com/theme/tarapro" target="_blank">Purchase TaraPro for $19 only</a>'),
  '#description' => t(''),
);

# end form
}
?>
